These are chat archives for MylesIsCool/ViaVersion

8th
Jun 2016
Florian
@sinnlosername
Jun 08 2016 16:05
Hey
Mats
@Matsv
Jun 08 2016 16:08
Hi
TitanicFreak
@TitanicFreak
Jun 08 2016 17:16
hi
Mats
@Matsv
Jun 08 2016 17:16
Hey
Myles
@MylesIsCool
Jun 08 2016 17:16
ew it's titanicfreak
TitanicFreak
@TitanicFreak
Jun 08 2016 17:16
thanks btw for updating viaversion
Myles
@MylesIsCool
Jun 08 2016 17:17
np
TitanicFreak
@TitanicFreak
Jun 08 2016 17:17
though it is awkward to be one of the few 1.10 networks.
Mats
@Matsv
Jun 08 2016 17:18
Yeah :D
TitanicFreak
@TitanicFreak
Jun 08 2016 17:18
As like 15 people pm'd me asking me how on spigot.
Myles
@MylesIsCool
Jun 08 2016 17:18
Well you know, could always hit up a donation if you feel special like that ;) ;)
TitanicFreak
@TitanicFreak
Jun 08 2016 17:18
We're planning to,
Myles
@MylesIsCool
Jun 08 2016 17:19
Sounds nice :)
TitanicFreak
@TitanicFreak
Jun 08 2016 17:19
we use lilypad btw.
Myles
@MylesIsCool
Jun 08 2016 17:19
We're still working on a few bugs so be warned
TitanicFreak
@TitanicFreak
Jun 08 2016 17:19
which updated to 1.10 quite literally immediately.
Mats
@Matsv
Jun 08 2016 17:19
@TitanicFreak Is your client crashing if you throw a potion on 1.10?
TitanicFreak
@TitanicFreak
Jun 08 2016 17:19
and expected. Though its been quite flawless for me so far.
Myles
@MylesIsCool
Jun 08 2016 17:20
@Matsv ssh dont tell him there's a bug
TitanicFreak
@TitanicFreak
Jun 08 2016 17:20
I can't even throw potions
yeah can't throw them period
  • I can't give myself splash potions
Myles
@MylesIsCool
Jun 08 2016 17:21
Oh?
Mats
@Matsv
Jun 08 2016 17:21
Ah okay :)
Did you block yourself out?
:P
Myles
@MylesIsCool
Jun 08 2016 17:21
With us, it crashes when we throw them
Mats
@Matsv
Jun 08 2016 17:21
Not for me
For myles
It's strange
TitanicFreak
@TitanicFreak
Jun 08 2016 17:21
I use lilypad.
and its always reacted interestingly with viaversion
Mats
@Matsv
Jun 08 2016 17:22
Lilypad does have some special powers
Oh it might be a new potion?
Mats
@Matsv
Jun 08 2016 17:22
That is not supported on older versions
TitanicFreak
@TitanicFreak
Jun 08 2016 17:22
it only took lilypad 1-2 changes to update to 1.10, so I expect a quick bungee update.
Mats
@Matsv
Jun 08 2016 17:23
SpigotMC/BungeeCord#1881
;)
It was an easy update protocol wise yes
if you say it like that:P
TitanicFreak
@TitanicFreak
Jun 08 2016 17:24
well I think a more correct way of saying it, its an insanely easy update for any proxy software.
Mats
@Matsv
Jun 08 2016 17:24
And ViaVersion ;)
Well the sounds were a pain
And metadata hunting
TitanicFreak
@TitanicFreak
Jun 08 2016 17:25
though I must say arrows are broken.
though they've always been broken for me.
Mats
@Matsv
Jun 08 2016 17:25
On a 1.9 or 1.8 server?
TitanicFreak
@TitanicFreak
Jun 08 2016 17:25
1.8 server
though its weird
as most of the time it works.
Mats
@Matsv
Jun 08 2016 17:26
MylesIsCool/ViaVersion#222
if that loads.
so yeah, it does match that issue.
Mats
@Matsv
Jun 08 2016 17:27
Yeah small velocity arrows
D:
It's a pain to fix that
You'd have to track all the online players direction
TitanicFreak
@TitanicFreak
Jun 08 2016 17:28
sounds like the performance hit makes the fix worthless.
Mats
@Matsv
Jun 08 2016 17:28
Yeah
That's the struggle
TitanicFreak
@TitanicFreak
Jun 08 2016 17:30
Though regardless
amazing update you guys did.
We'll be donating later today. Whenever my other owner gets online.
Myles
@MylesIsCool
Jun 08 2016 17:31
So you're not the superior one ;)?
Mats
@Matsv
Jun 08 2016 17:31
There will be always people that don't know how to change their profile from 'use latest version' ;)
TitanicFreak
@TitanicFreak
Jun 08 2016 17:32
Myles, I'm banned from paypal.
so I don't handle money, my other owner does.
Mats
@Matsv
Jun 08 2016 17:32
Lol how did that happen :P
TitanicFreak
@TitanicFreak
Jun 08 2016 17:32
chargebacks, 8k of them.
Mats
@Matsv
Jun 08 2016 17:32
Holy shit
Myles
@MylesIsCool
Jun 08 2016 17:33
Damn ouch
TitanicFreak
@TitanicFreak
Jun 08 2016 17:33
Fastest way to get you banned off of paypal.
oh they aren't having that.
Mats
@Matsv
Jun 08 2016 17:33
Never charged something back tbh :P
TitanicFreak
@TitanicFreak
Jun 08 2016 17:34
I've done it a few times, but only for terrible companies that actually robbed my money.
Mats
@Matsv
Jun 08 2016 17:38
Ah like automatically transactions?
TitanicFreak
@TitanicFreak
Jun 08 2016 17:38
yes
Mats
@Matsv
Jun 08 2016 17:38
I never linked my creditcard so I cannot allow monthly payments
Pretty happy about that
TitanicFreak
@TitanicFreak
Jun 08 2016 17:40
:P
I swear 1.10 crashes for anything now
Mats
@Matsv
Jun 08 2016 17:42
Yeah same
TitanicFreak
@TitanicFreak
Jun 08 2016 17:42
I just crashed due to a scoreboard
Mats
@Matsv
Jun 08 2016 17:42
Oh you mean disconnects?
TitanicFreak
@TitanicFreak
Jun 08 2016 17:42
no
Mats
@Matsv
Jun 08 2016 17:42
My client crashes like every 15 minutes
TitanicFreak
@TitanicFreak
Jun 08 2016 17:42
my entire client just crashed
due to a scoreboard
I think anyway
Mats
@Matsv
Jun 08 2016 17:42
Rip
TitanicFreak
@TitanicFreak
Jun 08 2016 17:43
the error logs are impossible to read.
basically whenever I chnage worlds
usually my client crashes
Mats
@Matsv
Jun 08 2016 17:45
strange
Only you or also other people on your server?
TitanicFreak
@TitanicFreak
Jun 08 2016 17:45
practically everyone
but sometimes world changes works.
Mats
@Matsv
Jun 08 2016 17:45
On a server with viaversion?
TitanicFreak
@TitanicFreak
Jun 08 2016 17:45
and nah
anything
Myles
@MylesIsCool
Jun 08 2016 18:04
Splash pots now work
yay
Mats
@Matsv
Jun 08 2016 18:04
woooo
TitanicFreak
@TitanicFreak
Jun 08 2016 18:05
should I even update viaversion now?
or should I just wait till tomorrow
Mats
@Matsv
Jun 08 2016 18:05
I'd wait for the official release if you blocked splash potions on your server
TitanicFreak
@TitanicFreak
Jun 08 2016 18:06
lilypad seems to interact with viaversion in a way, where you can't even throw pots.
or use them at all actually in 1.10
Myles
@MylesIsCool
Jun 08 2016 18:06
LilyPad does have bugs from time to time
Mats
@Matsv
Jun 08 2016 18:06
Only on 1.10?
Myles
@MylesIsCool
Jun 08 2016 18:06
I've patched like 3 in my time :(
TitanicFreak
@TitanicFreak
Jun 08 2016 18:06
yeah
ah
figured out why potions weren't crashing on lilypad.
lenis0012
@lenis0012
Jun 08 2016 18:16
Is it intentional that the download link on spigot gives a 404 @MylesIsCool ?
Myles
@MylesIsCool
Jun 08 2016 18:17
I mean it is an old version
but not intentional
wrong dl on the build server
lenis0012
@lenis0012
Jun 08 2016 18:17
you probably wanna fix
Myles
@MylesIsCool
Jun 08 2016 18:17
Well the biggest issue at the minute
is I can't upload to spigot resources
lenis0012
@lenis0012
Jun 08 2016 18:18
why not
Myles
@MylesIsCool
Jun 08 2016 18:18
It just error 500s which i've passed onto people at spigot
lenis0012
@lenis0012
Jun 08 2016 18:18
lol
it'd be pretty funny if that were intentional
Myles
@MylesIsCool
Jun 08 2016 18:19
Maybe md_5 hates me
who knows
lenis0012
@lenis0012
Jun 08 2016 18:19
wait is 1.10 out already?
Myles
@MylesIsCool
Jun 08 2016 18:19
ofc
lenis0012
@lenis0012
Jun 08 2016 18:19
jesus christ
Mats
@Matsv
Jun 08 2016 18:19
Yeah
'They accidentally released it'
Or something like that
TitanicFreak
@TitanicFreak
Jun 08 2016 18:19
right, time to figure out how to disable this, https://www.titanicfreak.com/imgs/bTZ8Vi5M3kbdwIdAAhuiPCEEPzKXtU3p.png
lenis0012
@lenis0012
Jun 08 2016 18:19
i didnt even finish our 1.9 update yet
Mats
@Matsv
Jun 08 2016 18:19
Idk
@TitanicFreak to your right
on the top
TitanicFreak
@TitanicFreak
Jun 08 2016 18:20
I saw
lenis0012
@lenis0012
Jun 08 2016 18:20
viaversion is working witgh 1.10?
TitanicFreak
@TitanicFreak
Jun 08 2016 18:20
firefox is glitchy though
Mats
@Matsv
Jun 08 2016 18:20
Yeah use the latest build on the buildserver
:smile:
lenis0012
@lenis0012
Jun 08 2016 18:20
oh neat
TitanicFreak
@TitanicFreak
Jun 08 2016 18:21
lenis, just note that bungee doesn't officially support 1.10 yet.
Myles
@MylesIsCool
Jun 08 2016 18:21
I have words off Waterfall that they're gonna get 1.10 ASAP
lenis0012
@lenis0012
Jun 08 2016 19:16
myles
why dont you host files on github instead
Myles
@MylesIsCool
Jun 08 2016 19:20
cause i'm satan
lenis0012
@lenis0012
Jun 08 2016 19:20
You could host them on jenkins
if you dont have it auto-remove old builds
Myles
@MylesIsCool
Jun 08 2016 19:21
well we do have them on jenkins :)
lenis0012
@lenis0012
Jun 08 2016 19:21
but the link didnt work
lol
Myles
@MylesIsCool
Jun 08 2016 19:21
Well it's more I put in wrong link
I was not meant to link to release, was meant to link to artifact
so when a new build got pushed it deleted
ridalarry
@ridalarry
Jun 08 2016 22:23
does the 1.10 version work with protocolsupport?
if im using 1.9.4 server
Mats
@Matsv
Jun 08 2016 22:23
I'm pretty sure it doesn't work
ridalarry
@ridalarry
Jun 08 2016 22:23
I guess I gotta drop 1.8 support then xD
we need to be up to date not out of it
wait did spigot made 1.9.4 and 1.10 protocol hack?
Mats
@Matsv
Jun 08 2016 22:24
Don't think so
why would they?
Myles
@MylesIsCool
Jun 08 2016 22:25
omg guys!
hacker Z750
stole viaversion
(I'm kidding he's trying to see if he can fix the issue with updating)
ridalarry
@ridalarry
Jun 08 2016 22:25
lol
I was gonna press the report button
xD
Myles
@MylesIsCool
Jun 08 2016 22:30
Man
the latest review on via
:(
lenis0012
@lenis0012
Jun 08 2016 22:31
yeah
very funny indeed
I wish you could respond to the review response
Myles
@MylesIsCool
Jun 08 2016 22:35
can you imagine how long the chain of conversation would be if you could
lenis0012
@lenis0012
Jun 08 2016 22:36
yeah
i can
disqus
Faizaan
@SirFaizdat
Jun 08 2016 23:07
That review killed part of my hippocampus
Just the action of reading it
Mats
@Matsv
Jun 08 2016 23:09
Ah well it's only part of your hippocampus. Good enough to damage more with other reviews
ridalarry
@ridalarry
Jun 08 2016 23:20
@MylesIsCool I know you might have answered this plenty of times, but could you make ViaVersion compitable with ProtocolSupport?
Myles
@MylesIsCool
Jun 08 2016 23:20
no
I've looked into it and there's no easy way, the way PS implements itself makes it so hard.
It's easier to be done other way round
ridalarry
@ridalarry
Jun 08 2016 23:21
oh
I think he wouldn't
the dev keep saying no xD
ridalarry
@ridalarry
Jun 08 2016 23:27
he doesn't want people to stick with 1.9 forever
Myles
@MylesIsCool
Jun 08 2016 23:27
I have the same view with updates
I'm a believer in updating when ready
ridalarry
@ridalarry
Jun 08 2016 23:28
could you add auto disable on a specific date?
or drop support
Myles
@MylesIsCool
Jun 08 2016 23:28
i'm not satan
ridalarry
@ridalarry
Jun 08 2016 23:28
I do have the same belief in updating
but I just need it as a temp solution until all the plugins are up to date
I am using 1.9.4 and blocking all versions below than 1.8
because some of my server members prefer 1.8 more than 1.9
or 1.10
while others dont know how to switch version
Z609
@Z609
Jun 08 2016 23:50
Hey, does the latest version on Github support 1.8/1.9/1.10? :/
Myles
@MylesIsCool
Jun 08 2016 23:50
yes
ci.viaversion.com
for dl
Z609
@Z609
Jun 08 2016 23:50
oh thank god xD
Unfortunately lots of players are not up for change, but I don't want noob players joining with 1.10 wondering why they can't join xD
lenis0012
@lenis0012
Jun 08 2016 23:58
on my server
more than half the players run 1.8
ridalarry
@ridalarry
Jun 08 2016 23:59
@lenis0012 are you still on 1.8?
lenis0012
@lenis0012
Jun 08 2016 23:59
@Matsv you sexy motherfucker
<3